<div class="w-1/4 mx-auto mt-10">
    <label for="file"
           class="text-xl">
        Please select a .vcf to upload
    </label>
    <br />
    <input type="file"
           id="file"
           (change)="changeSelectedFile($event)"
           accept=".vcf"
           class="h-0 w-0 overflow-hidden"
           #file>
    <div class="mt-2 flex gap-x-8">
        <button class="py-3 bg-blue-400 rounded-lg px-4 font-medium hover:bg-blue-800 hover:text-zinc-200"
                (click)="pickFile()">
            Pick a file
        </button>
        <p class="mt-3">{{displaySelectedFile()}}</p>
    </div>
    <button (click)="uploadFile()"
            class="py-3 rounded-lg px-4 font-medium mt-6 ml-32 "
            [ngClass]="uploadButtonStyle()"
            [disabled]="uploadButtonDisabled">
        Upload this
        file</button>

    <p class="mt-8 text-left text-xl">{{uploadStatus}}</p>
    <app-progress-bar [currentProgress]="uploadProgress"
                      *ngIf="showProgressBar"></app-progress-bar>

</div>
